
import { createWebHistory, createRouter, createWebHashHistory } from 'vue-router';



export const constantRoutes  = [
    /** 定义首页重定向地址 */
    {
        path: '',
        redirect: '/index/welcome/index',
    },
    /**登录页面*/
    {
        path:"/login",
        component:()=>import ('../pages/login/index.vue')
    },
    
    {
        path:"/index",
        component : () => import ('../pages/index/index.vue'),
        children:[
            {
                path:'welcome/index',
                component: ()=> import ('../pages/welcome/index/index.vue')
            },
            {
                path:"permissions",
                component: ()=> import ("../pages/exapeViews/system/permissions/index.vue")

            },
            {
                path:"disposition",
                component: ()=> import ("../pages/exapeViews/system/disposition/index.vue")
            },
            {
                path:"backend",
                component: ()=> import ("../pages/exapeViews/userList/backend/index.vue")
            },
            {
                path:"client",
                component: ()=> import ("../pages/exapeViews/userList/client/index.vue")
            }
        ]
    }

]

const router = createRouter({
    history: createWebHistory(),
    routes: constantRoutes,
});


export default router;